Bug 141143 - x11/gdm: gdm ignores keyboard variant configured via HAL
Summary: x11/gdm: gdm ignores keyboard variant configured via HAL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-03 16:50 UTC by mickey242
Modified: 2009-12-19 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1016 bytes, patch)
2009-12-03 16:50 UTC, mickey242
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mickey242 2009-12-03 16:50:02 UTC
gdm reads the keyboard layout from HAL, but ignores the selected keyboard variant, i.e. 'nodeadkeys'.

Fix: Patch attached with submission follows:
How-To-Repeat: - Configure a keyboard layout and variant via HAL (input.x11_options.XkbLayout, input.x11_options.XkbVariant)
- Start gdm
- The keyboard layout field will only contain the layout selected via HAL, not the variant.
Comment 1 Edwin Groothuis freebsd_committer 2009-12-03 16:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2009-12-06 23:04:00 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2009-12-06 23:04:03 UTC
marcus      2009-12-06 23:03:54 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile 
  Added files:
    x11/gdm/files        patch-daemon_gdm-session-direct.c 
  Log:
  Add keyboard invariant support to GDM.
  
  PR:             141143
  Submitted by:   Andreas Wetzel <mickey242@gmx.net>
  
  Revision  Changes    Path
  1.127     +1 -1      ports/x11/gdm/Makefile
  1.1       +41 -0     ports/x11/gdm/files/patch-daemon_gdm-session-direct.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 mickey242 2009-12-14 06:26:45 UTC
The patch needs to be applied *after* patch-hal-keyboard.
Comment 5 dfilter service freebsd_committer 2009-12-19 05:59:51 UTC
marcus      2009-12-19 05:59:42 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile distinfo pkg-plist 
    x11/gdm/files        patch-gui_simple-greeter_gdm-user.c 
  Added files:
    x11/gdm/files        patch-hal-keyboard.2 
  Log:
  * Update to 2.28.2.
  * Properly add support for reading keyboard invariants from hal. [1]
  
  PR:             141143 [1]
  Submitted by:   Andreas Wetzel <mickey242@gmx.net> [1]
  
  Revision  Changes    Path
  1.128     +1 -2      ports/x11/gdm/Makefile
  1.52      +3 -3      ports/x11/gdm/distinfo
  1.4       +23 -23    ports/x11/gdm/files/patch-gui_simple-greeter_gdm-user.c
  1.1       +40 -0     ports/x11/gdm/files/patch-hal-keyboard.2 (new)
  1.47      +6 -0      ports/x11/gdm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"